Bug 243613 - mail/fetchmail: update for new caroot infrastructure in base
Summary: mail/fetchmail: update for new caroot infrastructure in base
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Andree
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-01-26 12:27 UTC by Helge Oldach
Modified: 2020-02-14 21:24 UTC (History)
4 users (show)

See Also:
chalpin: maintainer-feedback+


Attachments
patch (968 bytes, patch)
2020-01-26 12:27 UTC, Helge Oldach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Helge Oldach 2020-01-26 12:27:01 UTC
Created attachment 211060 [details]
patch

fetchmail currently has a run-time dependency on security/ca_root_nss. With the new caroot infrastructure in base this should be converted into a configure option, following the example of ftp/curl. Attached simple patch fixes this.
Comment 1 Automation User 2020-01-26 12:41:32 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/112372193
Comment 2 Corey Halpin 2020-02-08 20:01:38 UTC
Looks good to me. Passes `poudriere testport` on 11.3, 12.0, and 12.1. No errors or new warnings from `portlint`. I approve this patch.
Comment 3 commit-hook freebsd_committer 2020-02-14 21:24:03 UTC
A commit references this bug:

Author: mandree
Date: Fri Feb 14 21:23:19 UTC 2020
New revision: 526174
URL: https://svnweb.freebsd.org/changeset/ports/526174

Log:
  mail/fetchmail: update for new caroot infrastructure in base

  PR:		243613
  Submitted by:	Helge Oldach <freebsd@oldach.net>
  Approved by:	Corey Halpin <chalpin@cs.wisc.edu> (maintainer)

Changes:
  head/mail/fetchmail/Makefile